Package org.eclipse.birt.chart.model.attribute

# Enum SortOption

java.lang.Object
java.lang.Enum<SortOption>
org.eclipse.birt.chart.model.attribute.SortOption

All Implemented Interfaces:
  `Serializable`, `Comparable<SortOption>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum SortOption extends Enum<SortOption> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Sort Option', and utility methods for working with them. This type represents the options available for sorting.

See Also:
  - `AttributePackage.getSortOption()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASCENDING_LITERAL`
The 'Ascending' literal object.
`DESCENDING_LITERAL`
The 'Descending' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ASCENDING`
The 'Ascending' literal value.
`static final int`
`DESCENDING`
The 'Descending' literal value.
`static final List<SortOption>`
`VALUES`
A public read-only list of all the 'Sort Option' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static SortOption`
`get(int value)`
Returns the 'Sort Option' literal with the specified integer value.
`static SortOption`
`get(String literal)`
Returns the 'Sort Option' literal with the specified literal value.
`static SortOption`
`getByName(String name)`
Returns the 'Sort Option' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static SortOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SortOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ASCENDING_LITERAL

public static final SortOption ASCENDING_LITERAL
The 'Ascending' literal object.

If the meaning of 'Ascending' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ASCENDING`

### DESCENDING_LITERAL

public static final SortOption DESCENDING_LITERAL
The 'Descending' literal object.

If the meaning of 'Descending' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DESCENDING`

## Field Details

### ASCENDING

public static final int ASCENDING
The 'Ascending' literal value.

See Also:
  - `ASCENDING_LITERAL`
  - Constant Field Values

### DESCENDING

public static final int DESCENDING
The 'Descending' literal value.

See Also:
  - `DESCENDING_LITERAL`
  - Constant Field Values

### VALUES

public static final List<SortOption> VALUES
A public read-only list of all the 'Sort Option' enumerators.

## Method Details

### values

public static SortOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SortOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static SortOption get(String literal)
Returns the 'Sort Option' literal with the specified literal value.

### getByName

public static SortOption getByName(String name)
Returns the 'Sort Option' literal with the specified name.

### get

public static SortOption get(int value)
Returns the 'Sort Option' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<SortOption>`